
function foxfm_db_executeStatement(db, sql, fHandleResult, oResultHandle)
{
	try
	{
		infoMessage(5, "foxfm_db_executeStatement(): started: db: " + db);
		var database = db;
		if(!database || database == undefined) 
		{
			database = foxfm_getPathToDatabase();
		}
		
		infoMessage(5, "foxfm_db_executeStatement(): DB: '" + database.path + "', SQL: '" + sql + "'");
		
		if(database)
		{
			infoMessage(5, "foxfm_db_executeStatement(): database: " + database.path);
			var dbConnection	= db_openDatabase(database);
			
			infoMessage(5, "foxfm_db_executeStatement(): start SQL execution");
			db_executeStatement(dbConnection, sql, fHandleResult, oResultHandle);
			
			infoMessage(5, "foxfm_db_executeStatement(): finish SQL execution");
			db_closeDatabase(dbConnection);
		}
	} catch(e) {
		errorMessage(e);
	}
}